#!/usr/bin/env bash
set -u

node_type=$NODE_TYPE
lease_name="$RESOURCE_PREFIX_NAME-$node_type"
instance_name=$INSTANCE_NAME
floating_ip=$FLOATING_IP

echo "Deleting floating IP $floating_ip"
openstack floating ip delete $floating_ip

echo "Deleting instance with name $instance_name"
openstack server delete $instance_name

echo "Deleting reservation with name $lease_name"
blazar lease-delete $lease_name
