#!/usr/bin/env bash
set -u

export SSHKEY_FILE="$HOME/.ssh/$USER-jvm-bench"
export SSHKEY_NAME="$USER-jvm-bench"

openstack keypair delete $SSHKEY_NAME
rm $SSHKEY_FILE
ssh-keygen -t rsa -b 4096  -P '' -C $SSHKEY_NAME -f $SSHKEY_FILE <<< y
openstack keypair create --public-key $SSHKEY_FILE.pub $SSHKEY_NAME
echo "SSH key with name: $SSHKEY_NAME created"

export sshc="ssh -i $SSHKEY_FILE"